[Hyper-V] kernel panic occurs when installing Ubuntu Server x32

Bug #1495983 reported by Zsolt Dudás on 2015-09-15
48
This bug affects 6 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
High
Tim Gardner
Trusty
Critical
Joseph Salisbury
Vivid
Critical
Joseph Salisbury
Wily
Critical
Joseph Salisbury
Xenial
High
Tim Gardner

Bug Description

Attempting to install the latest build of Ubuntu Server 15.10 (Wily Werewolf) x32 on Hyper-V, after beginning installation a kernel panic occurs. The console log from the serial output is attached.

http://cdimage.ubuntu.com/ubuntu-server/daily/current/

I tried with the builds from 14th and 15th of September with the same result. This bug does not affect x64 builds.
Tried to start the installation with different resources with no effect, kernel panic always occurs no matter the VM settings.

Zsolt Dudás (v-zsduda) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. It seems that your bug report is not filed about a specific source package though, rather it is just filed against Ubuntu in general. It is important that bug reports be filed about source packages so that people interested in the package can find the bugs about it. You can find some hints about determining what package your bug might be about at https://wiki.ubuntu.com/Bugs/FindRightPackage. You might also ask for help in the #ubuntu-bugs irc channel on Freenode.

To change the source package that this bug is filed about visit https://bugs.launchpad.net/ubuntu/+bug/1495983/+editstatus and add the package name in the text box next to the word Package.

[This is an automated message. I apologize if it reached you inappropriately; please just reply to this message indicating so.]

tags: added: bot-comment
affects: ubuntu → linux (Ubuntu)

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 1495983

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete

Serial log attached, no other logs required.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Changed in linux (Ubuntu):
importance: Undecided → High
tags: added: kernel-da-key
Joseph Salisbury (jsalisbury) wrote :

I was able to reproduce this bug. The panic not only happens at install time, but also if you install the affected kernel on an already installed system.

I'm in the process of bisecting the issue now. The bug also exists in upstream 4.2 final.

* Panic happens with latest Vivid kernel(3.19.0-28)
* Does not happen with 3.19.0-15
* Does not happen with upstream 3.19.8-ckt6
* Panic happens with upstream 4.2.

I'll update the bug with my progress.

Changed in linux (Ubuntu Wily):
assignee: nobody → Joseph Salisbury (jsalisbury)
status: Confirmed → In Progress
Changed in linux (Ubuntu Vivid):
status: New → In Progress
importance: Undecided → High
assignee: nobody → Joseph Salisbury (jsalisbury)
Joseph Salisbury (jsalisbury) wrote :

Upstream 4.0 final does not exhibit this bug and 4.1-rc1 does, so I'll bisect between those two versions.

Joseph Salisbury (jsalisbury) wrote :

The bisect reported the following as the first bad commit:

commit be0cf6ca301c61458dc4aa1a37acf4f58d2ed3d6
Author: K. Y. Srinivasan <email address hidden>
Date: Fri Mar 27 00:27:20 2015 -0700

    scsi: storvsc: Set the tablesize based on the information given by the host

I built a Wily test kernel with this commit reverted and it stopped the kernel panic. I also copied the test kernel to the following location:

http://kernel.ubuntu.com/~jsalisbury/lp1495983/

Can you test this kernel on a 32 bit guest and confirm it stops the kernel panic? If it does, we should contact K.Y. and ask for his feedback.

Thanks in advance!

Changed in linux (Ubuntu Wily):
importance: High → Critical
Changed in linux (Ubuntu Vivid):
importance: High → Critical
tags: added: kernel-key
Joseph Salisbury (jsalisbury) wrote :

Per bug 1492331 , this also affects Trusty.

Changed in linux (Ubuntu Trusty):
status: New → In Progress
importance: Undecided → Critical
assignee: nobody → Joseph Salisbury (jsalisbury)
Joseph Salisbury (jsalisbury) wrote :

I also built a Vivid test kernel with commit be0cf6ca reverted. It can be downloaded from:

http://kernel.ubuntu.com/~jsalisbury/lp1495983/vivid

Chris Valean (cvalean) wrote :

Please include the patch from here:
http://lkml.iu.edu/hypermail/linux/kernel/1509.1/00220.html

This sets a smaller tablesize if the architecture is x86.

Joseph Salisbury (jsalisbury) wrote :

I built some test kernels and tested the patch posted in comment #10. The test kernel resolves the panic on 32 bit guests for both Vivid and Wily. However, the panic is still happening on Trusty.

I posted the test kernels here:
Trusty: http://kernel.ubuntu.com/~jsalisbury/lp1495983/patched-kernel/trusty
Vivid: http://kernel.ubuntu.com/~jsalisbury/lp1495983/patched-kernel/vivid/
Wily: http://kernel.ubuntu.com/~jsalisbury/lp1495983/patched-kernel/wily/

I'm investigating why the panic still happens on Trusty.

Joseph Salisbury (jsalisbury) wrote :

Couple of different panic messages seen when booting Trusty(3.13) kernel with patch.

Joseph Salisbury (jsalisbury) wrote :
Chris Valean (cvalean) wrote :

Hi Joe,
This patch fix should be included only for Wily.
As for Trusty and Vivid, those didn't have the initial patch that broke the 32bit installation, so please do *not* back-port this patch.

When do you expect this to get in the Wily daily images so we can test?
Thank you!

Changed in linux (Ubuntu Trusty):
status: In Progress → Invalid
Changed in linux (Ubuntu Vivid):
status: In Progress → Invalid
Nils Schmidt (nils-p-schmidt) wrote :

Either Chris is wrong or 1492331 is not a duplicate of this. Is be0cf6ca301c61458dc4aa1a37acf4f58d2ed3d6 of Vivid not the same as 97b2591fbecaa0366939bb5fdfecd79fe914de22 of Trusty? The commit-msg is the same.

Joseph Salisbury (jsalisbury) wrote :

Hi Chris,

Thanks for the update. There is a Wily test kernel with the patch from comment #10 available at:
http://kernel.ubuntu.com/~jsalisbury/lp1495983/patched-kernel/wily/

This won't allow you to test the fix as it will be in the iso, but at least it will test the patch with the latest Wily kernel and it should prevent the panic.(Note you would probably also see the panic by just trying to boot with the latest x86 Wily kernel).

Are you referring to the following initial patch that broke the 32bit installation:

commit be0cf6ca301c61458dc4aa1a37acf4f58d2ed3d6
Author: K. Y. Srinivasan <email address hidden>
Date: Fri Mar 27 00:27:20 2015 -0700

    scsi: storvsc: Set the tablesize based on the information given by the

That commit is now in Trusty(As of Ubuntu-3.13.0-60) and Vivid(As of Ubuntu-3.19.0-23) and is causing a similar panic. That commit was also added to Trusty and Vivid per bug 1445195 . Not only does the panic happen at install time, but when ever I try to boot a 32bit kernel for Trusty, Vivid or Wily.

The patch mentioned in comment #10 does in fact fix the panic for Vivid and Wily. However, it does not fix the panic for Trusty. Would it be possible for you to test the latest Trusty and Vivid test kernels to see if you also get this same panic? The kernels can be downloaded from:

Trusty: https://launchpad.net/~canonical-kernel-team/+archive/ubuntu/ppa/+build/7925457
Vivid: https://launchpad.net/~canonical-kernel-team/+archive/ubuntu/ppa/+build/7925789

Another test would could try is to install Vivid or Trusty using the iso, then install the latest kernel to see if it starts to cause the panic.

Changed in linux (Ubuntu Vivid):
status: Invalid → Incomplete
Changed in linux (Ubuntu Trusty):
status: Invalid → Incomplete
Chris Valean (cvalean) wrote :

Hi Nils,
You are correct, this issue is also affecting the latest Trusty 14.04.3 LTS 32bit ISO.

The behavior is separate from Wily:
- Wily - kernel panic occurs at ISO boot prior to the setup phase.
- Trusty - setup process works up to the point where the disk is formatted, then it freezes.

Joshua R. Poulson (jrp) wrote :

Is trusty actually missing some of the patchset from https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1445195 that may prevent the fix in Comment #10 of this defect from working?

Joseph Salisbury (jsalisbury) wrote :

I think I figured out the issue with Trusty. The Trusty kernel requires the patch #10. However, it also needs the value of MAX_PAGE_BUFFER_COUNT bumped up to 32 from 19.

I created a Trusty test kernel with this extra patch. It can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1495983/patched-kernel/trusty-with-extra-patch/

Once you confirm Trusty hits the same panic, can you test this kernel as well?

Ovidiu Rusu (orusu) wrote :

I've installed an Ubuntu-14.04.1-server-i386/32 bit(Trusty Tahr) and tested with Joseph Salisbury's kernel and it worked.
Then I upgraded to the latest Trusty version(14.04.3) and updated the kernel too (Linux 3.19.0-30-generic) and kernel panic occured.

Chris Valean (cvalean) wrote :

Joe, the MAX_PAGE_BUFFER_COUNT I think is automatically computed and not directly defined.
Please ensure that you're picking up the original patch and also the patch fix for it.

Ovidiu R (orusi) is from my team and his testing is correct.

tags: removed: kernel-key
Joseph Salisbury (jsalisbury) wrote :

The original patch is already in Trusty as the following commit:

commit 97b2591fbecaa0366939bb5fdfecd79fe914de22
Author: K. Y. Srinivasan <email address hidden>
Date: Fri Mar 27 00:27:20 2015 -0700

    scsi: storvsc: Set the tablesize based on the information given by the host

It was added to Trusty in the 3.13.0-60 kernel:
git describe --contains 97b2591
Ubuntu-3.13.0-60.99~189

The define for MAX_PAGE_BUFFER_COUNT is in include/linux/hyperv.h :

#define MAX_PAGE_BUFFER_COUNT 32
#define MAX_MULTIPAGE_BUFFER_COUNT 32 /* 128K */

Chris Valean (cvalean) wrote :

That is the original patch, which breaks 32bit.
So for that we need to get included http://lkml.iu.edu/hypermail/linux/kernel/1509.1/00220.html on top of commit 97b2591fbecaa0366939bb5fdfecd79fe914de22

Can you please include "[PATCH] storvsc: use small sg_tablesize on x86" on Trusty and Vivid as well?
This is based on the testing that was done in commend #20.

Changed in linux (Ubuntu Vivid):
status: Incomplete → In Progress
Changed in linux (Ubuntu Trusty):
status: Incomplete → In Progress
Joseph Salisbury (jsalisbury) wrote :

Thanks for the update, Chris. The patch "storvsc: use small sg_tablesize on x86" has not landed in mainline yet, but I can submit an SRU request to include it as an Ubuntu SAUCE patch.

However, for Trusty I think we need to increase MAX_PAGE_BUFFER_COUNT in addition to the patch "storvsc: use small sg_tablesize on x86". In my testing a Trusty kernel with only the storvsc patch will still panic. But a Trusty kernel with the storvsc patch and a value of 32 for MAX_PAGE_BUFFER_COUNT will not panic.

There was actually a commit in v3.15-rc1, written by KY:
commit 7e5ec36834a5752304dc0751dfab42ba6ad64a85
Author: K. Y. Srinivasan <email address hidden>
Date: Fri Mar 7 00:10:34 2014 -0800

    Drivers: hv: vmbus: Increase the limit on the number of pfns we can handle

So for Trusty I think we need commit 7e5ec368 and the patch "storvsc: use small sg_tablesize on x86".

I built two Trusty test kernels. One has only the "storvsc: use small sg_tablesize on x86" patch. The other has a cherry pick of commit 7e5ec368 and the "storvsc: use small sg_tablesize on x86" patch.

Ovidiu R, if you have a chance can you test these two kernels? Before I submit the new patch, I'd like to confirm if we also need commit 7e5ec368 or not.

Test kernel with only the new patch:
http://kernel.ubuntu.com/~jsalisbury/lp1495983/patched-kernel/trusty/trusty-with-only-use-small-sg_tablesize/

Test kernel with the new patch and a cherry pick of 7e5ec368:
http://kernel.ubuntu.com/~jsalisbury/lp1495983/patched-kernel/trusty/trusty-with-use-small-sg_tablesizeANDCommit7e5ec368/

Chris Valean (cvalean) wrote :

Excluding the previous releases, the latest Wily 32bit ISO is still not able to boot.

Joshua R. Poulson (jrp) wrote :

Joe, do you think we're going to make it for Wily GA?

Joseph Salisbury (jsalisbury) wrote :

@Joshua, I can submit a request for the patch to be in Wily and Vivid now, with the current test results reported. I was hoping to get the test results for Trusty, requested in comment #24 before submitting an SRU request.

We can continue to work on the testing and prerequisites needed for Trusty seperatly, and I'll request inclusion of the new patch in Vivid and Wily today.

Joseph Salisbury (jsalisbury) wrote :

Also, it looks like the patch is still being discussed upstream:
https://lkml.org/lkml/2015/10/2/550

Brad Figg (brad-figg) on 2015-10-16
Changed in linux (Ubuntu Vivid):
status: In Progress → Fix Committed
Chris Valean (cvalean) wrote :

Joseph, this doesn't look to be included in the Oct 19th build of Wily.

I will ask KY on the dependency patch as mentioned for Trusty, but let's focus on Wily for the release date.
Thank you!

Joseph Salisbury (jsalisbury) wrote :

That patch that introduced this bug, also introduced bug 1499203. We should ask KY his opinion about that as well.

Chris Valean (cvalean) wrote :

Joe, please include commit 7e5ec36834a5752304dc0751dfab42ba6ad64a85 as well.

Can you please confirm if the '[PATCH] storvsc: use small sg_tablesize on x86' has been included in the released Wily?

As for the trusty test kernel with it, I've asked one of our folks to do a validation check on it and will update this next week.

Brad Figg (brad-figg) on 2015-10-23
Changed in linux (Ubuntu Wily):
status: In Progress → Fix Committed
Joseph Salisbury (jsalisbury) wrote :

The patch "storvsc: use small sg_tablesize on x86" is in the master-next branch for both Vivid and Wily. They fix will be in the next kernel version released.

Once the trusty test kernel is validated, I can submit and SRU request for Trusty.

Yuhong Bao (yuhongbao-386) wrote :

So when a new ISO will be released?

Chris Valean (cvalean) wrote :

Joseph, we've completed the testing of the Trusty test kernel from you, the one from comment #24, so please commit the changes.

Kernel patches to be included are the ones mentioned as before:
"Test kernel with the new patch and a cherry pick of 7e5ec368:
http://kernel.ubuntu.com/~jsalisbury/lp1495983/patched-kernel/trusty/trusty-with-use-small-sg_tablesizeANDCommit7e5ec368/"

Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-vivid' to 'verification-done-vivid'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-vivid
tags: added: verification-needed-wily
Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-wily' to 'verification-done-wily'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

Joseph Salisbury (jsalisbury) wrote :

The commit mentioned in comment #66 has bee in trusty since Ubuntu-3.13.0-41.70 as the following commit:
d2e739f x86, pageattr: Prevent overflow in slow_virt_to_phys() for X86_PAE

I just submitted the Trusty SRU request for this bug.

Brad Figg (brad-figg) on 2015-10-26
Changed in linux (Ubuntu Trusty):
status: In Progress → Fix Committed
Yuhong Bao (yuhongbao-386) wrote :

Tested the new Vivid kernel in a Hyper-V VM, the problem is fixed.

Brad Figg (brad-figg) on 2015-10-30
tags: added: verification-done-vivid
removed: verification-needed-vivid

Tested the new wily kernel (32-bit kernel) on Hyper-V. The 4.2.0-17.21 kernel in testing boots fine. The 4.2.0-16.19 kernel crashes as reported above during boot.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.19.0-32.37

---------------
linux (3.19.0-32.37) vivid; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1508381

  [ Joseph Salisbury ]

  * SAUCE: storvsc: use small sg_tablesize on x86
    - LP: #1495983

  [ Phidias Chiang ]

  * SAUCE: dma: dw_dmac: Workaround for stop probing on HP X360 laptop v2
    - LP: #1501580

  [ Tim Gardner ]

  * [Config] Add MMC modules sufficient for net booting
    - LP: #1502772

  [ Upstream Kernel Changes ]

  * USB: whiteheat: fix potential null-deref at probe
    - LP: #1478826
    - CVE-2015-5257
  * dcache: Handle escaped paths in prepend_path
    - LP: #1441108
    - CVE-2015-2925
  * vfs: Test for and handle paths that are unreachable from their mnt_root
    - LP: #1441108
    - CVE-2015-2925
  * hv_netvsc: Add support to set MTU reservation from guest side
    - LP: #1494431
  * hv_netvsc: Add close of RNDIS filter into change mtu call
    - LP: #1494431
  * powerpc/eeh: Fix missed PE#0 on P7IOC
    - LP: #1502982
  * powerpc/powernv: display reason for Malfunction Alert HMI.
    - LP: #1482343
  * powerpc/powernv: Pull all HMI events before panic.
    - LP: #1482343
  * powerpc/powernv: Invoke opal_cec_reboot2() on unrecoverable machine
    check errors.
    - LP: #1482343
  * powerpc/powernv: Invoke opal_cec_reboot2() on unrecoverable HMI.
    - LP: #1482343
  * powerpc/eeh: Fix PE#0 check in eeh_add_to_parent_pe()
    - LP: #1502982
  * HID: i2c-hid: The interrupt should be level sensitive v2
    - LP: #1501187
  * HID: i2c-hid: Add support for ACPI GPIO interrupts v2
    - LP: #1501187

 -- Luis Henriques <email address hidden> Wed, 21 Oct 2015 10:30:13 +0100

Changed in linux (Ubuntu Vivid):
status: Fix Committed → Fix Released
Luis Henriques (henrix) wrote :

As per comment #40, I'm tagging this bug as verified in wily.

tags: added: verification-done-wily
removed: verification-needed-wily
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 4.2.0-17.21

---------------
linux (4.2.0-17.21) wily; urgency=low

  [ Brad Figg ]

  * Release Tracking Bug
    - LP: #1509480

  [ Joseph Salisbury ]

  * SAUCE: storvsc: use small sg_tablesize on x86
    - LP: #1495983

linux (4.2.0-17.20) wily; urgency=low

  [ Brad Figg ]

  * Release Tracking Bug
    - LP: #1508993

  [ Andy Whitcroft ]

  * [Debian] rebuild should only trigger for non-linux packages
    - LP: #1498862
  * [Packaging] Provides: virtualbox-guest-modules when appropriate
    - LP: #1434579, #1507588

  [ Matthew R. Ochs ]

  * SAUCE: (noup) cxlflash: Fix to avoid lock instrumentation rejection
    - LP: #1508541
  * SAUCE: (noup) cxlflash: Fix to avoid bypassing context cleanup
    - LP: #1508541

  [ Upstream Kernel Changes ]

  * HID: lenovo: Use constants for axes names
    - LP: #1508178
  * HID: lenovo: Add missing return-value check
    - LP: #1508178
  * HID: lenovo: Hide middle-button press until release
    - LP: #1508178

 -- Brad Figg <email address hidden> Fri, 23 Oct 2015 11:58:01 -0700

Changed in linux (Ubuntu Wily):
status: Fix Committed → Fix Released
Changed in linux (Ubuntu):
status: In Progress → Fix Released
Luis Henriques (henrix) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-trusty' to 'verification-done-trusty'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-done-trusty
tags: added: verification-needed-trusty
removed: verification-done-trusty
Chris Valean (cvalean) on 2015-11-16
tags: added: verification-done-trusty
removed: verification-needed-trusty
description: updated
Launchpad Janitor (janitor) wrote :
Download full text (11.3 KiB)

This bug was fixed in the package linux - 3.13.0-70.113

---------------
linux (3.13.0-70.113) trusty; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1516733

  [ Upstream Kernel Changes ]

  * arm64: errata: use KBUILD_CFLAGS_MODULE for erratum #843419
    - LP: #1516682

linux (3.13.0-69.112) trusty; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1514858

  [ Joseph Salisbury ]

  * SAUCE: storvsc: use small sg_tablesize on x86
    - LP: #1495983

  [ Luis Henriques ]

  * [Config] updateconfigs after 3.13.11-ckt28 and 3.13.11-ckt29 stable
    updates

  [ Upstream Kernel Changes ]

  * ext4: fix indirect punch hole corruption
    - LP: #1292234
  * x86/hyperv: Mark the Hyper-V TSC as unstable
    - LP: #1498206
  * namei: permit linking with CAP_FOWNER in userns
    - LP: #1498162
  * iwlwifi: pci: add a few more PCI subvendor IDs for the 7265 series
    - LP: #1510616
  * Drivers: hv: vmbus: Increase the limit on the number of pfns we can
    handle
    - LP: #1495983
  * sctp: fix race on protocol/netns initialization
    - LP: #1514832
  * [media] v4l: omap3isp: Fix sub-device power management code
    - LP: #1514832
  * [media] rc-core: fix remove uevent generation
    - LP: #1514832
  * xtensa: fix threadptr reload on return to userspace
    - LP: #1514832
  * ARM: OMAP2+: DRA7: clockdomain: change l4per2_7xx_clkdm to SW_WKUP
    - LP: #1514832
  * mac80211: enable assoc check for mesh interfaces
    - LP: #1514832
  * PCI: Add dev_flags bit to access VPD through function 0
    - LP: #1514832
  * PCI: Add VPD function 0 quirk for Intel Ethernet devices
    - LP: #1514832
  * usb: dwc3: ep0: Fix mem corruption on OUT transfers of more than 512
    bytes
    - LP: #1514832
  * serial: 8250_pci: Add support for Pericom PI7C9X795[1248]
    - LP: #1514832
  * KVM: MMU: fix validation of mmio page fault
    - LP: #1514832
  * auxdisplay: ks0108: fix refcount
    - LP: #1514832
  * devres: fix devres_get()
    - LP: #1514832
  * iio: adis16400: Fix adis16448 gyroscope scale
    - LP: #1514832
  * iio: Add inverse unit conversion macros
    - LP: #1514832
  * iio: adis16480: Fix scale factors
    - LP: #1514832
  * iio: industrialio-buffer: Fix iio_buffer_poll return value
    - LP: #1514832
  * iio: event: Remove negative error code from iio_event_poll
    - LP: #1514832
  * NFSv4: don't set SETATTR for O_RDONLY|O_EXCL
    - LP: #1514832
  * unshare: Unsharing a thread does not require unsharing a vm
    - LP: #1514832
  * ASoC: adav80x: Remove .read_flag_mask setting from
    adav80x_regmap_config
    - LP: #1514832
  * drivers: usb :fsl: Implement Workaround for USB Erratum A007792
    - LP: #1514832
  * drivers: usb: fsl: Workaround for USB erratum-A005275
    - LP: #1514832
  * serial: 8250: don't bind to SMSC IrCC IR port
    - LP: #1514832
  * staging: comedi: adl_pci7x3x: fix digital output on PCI-7230
    - LP: #1514832
  * blk-mq: fix buffer overflow when reading sysfs file of 'pending'
    - LP: #1514832
  * xtensa: fix kernel register spilling
    - LP: #1514832
  * NFS: nfs_set_pgio_error sometimes misses errors
    - LP: #1514832
  * NFS: Fix a NULL pointer dereference of migration...

Changed in linux (Ubuntu Trusty):
status: Fix Committed → Fix Released
Chris Valean (cvalean) wrote :

Hello,
Re-opening this to also possibly include 16.04.

We're seeing the same behavior as during the partitioning the process stops at some %.
Maybe some changes that were accepted as part of comment #24 onwards is missing in 16.04?

We verified successfully in the 4.4 kernel that:
- this patch is present: http://git.kernel.org/cgit/linux/kernel/git/next/linux-next.git/commit/?id=d1cd1210834649ce1ca6bafe5ac25d2f40331343
- MAX_PAGE_BUFFER_COUNT is set to 32

Changed in linux (Ubuntu Xenial):
status: Fix Released → Confirmed
importance: Critical → High
summary: - [Hyper-V] kernel panic occurs when installing Ubuntu Server 15.10 x32
+ [Hyper-V] kernel panic occurs when installing Ubuntu Server x32
Joseph Salisbury (jsalisbury) wrote :

It does not look like the patch "storvsc: use small sg_tablesize on x86" ever landed in mainline. That is the reason Xenial does not have it.

It doesn't appear there was any more discussion upstream after 2 Oct 2015:
https://lkml.org/lkml/2015/10/2/550

Do you know the status of getting this patch upstream?

If needed, I can submit a SAUCE patch for 16.04 like we did for prior releases.

Joshua R. Poulson (jrp) wrote :

There was more discussion. The last comment from James Bottomley (Jan 28) is to switch to using the flag (if not defined) CONFIG_64BIT in our patch instead of "#if defined(CONFIG_X86_32)". Until we provide a patch that he's willing to accept, I'd recommend using the SAUCE.

Tim Gardner (timg-tpi) on 2016-02-16
Changed in linux (Ubuntu Xenial):
assignee: Joseph Salisbury (jsalisbury) → Tim Gardner (timg-tpi)
status: Confirmed → Fix Committed
Launchpad Janitor (janitor) wrote :
Download full text (3.4 KiB)

This bug was fixed in the package linux - 4.4.0-6.21

---------------
linux (4.4.0-6.21) xenial; urgency=low

  [ Tim Gardner ]

  * Release Tracking Bug
    - LP: #1546283

  * Naples/Zen, NTB Driver (LP: #1542071)
    - [Config] CONFIG_NTB_AMD=m
    - NTB: Add support for AMD PCI-Express Non-Transparent Bridge

  * [Hyper-V] kernel panic occurs when installing Ubuntu Server x32 (LP: #1495983)
    - SAUCE: storvsc: use small sg_tablesize on x86

  * Enable arm64 emulation of removed ARMv7 instructions (LP: #1545542)
    - [Config] CONFIG_ARMV8_DEPRECATED=y

  * Surelock-GA2:kernel panic/ exception @ pcibios_set_pcie_reset_state+0x118/0x280 + cxl_reset+0x5c/0xc0 (LP: #1545037)
    - powerpc/eeh: Fix stale cached primary bus

  * Miscellaneous Ubuntu changes
    - SAUCE: fs: Add user namesapace member to struct super_block
    - SAUCE: fs: Limit file caps to the user namespace of the super block
    - SAUCE: Smack: Add support for unprivileged mounts from user namespaces
    - SAUCE: block_dev: Support checking inode permissions in lookup_bdev()
    - SAUCE: block_dev: Check permissions towards block device inode when mounting
    - SAUCE: fs: Treat foreign mounts as nosuid
    - SAUCE: selinux: Add support for unprivileged mounts from user namespaces
    - SAUCE: userns: Replace in_userns with current_in_userns
    - SAUCE: Smack: Handle labels consistently in untrusted mounts
    - SAUCE: fs: Check for invalid i_uid in may_follow_link()
    - SAUCE: cred: Reject inodes with invalid ids in set_create_file_as()
    - SAUCE: fs: Refuse uid/gid changes which don't map into s_user_ns
    - SAUCE: fs: Update posix_acl support to handle user namespace mounts
    - SAUCE: fs: Ensure the mounter of a filesystem is privileged towards its inodes
    - SAUCE: fs: Don't remove suid for CAP_FSETID in s_user_ns
    - SAUCE: fs: Allow superblock owner to access do_remount_sb()
    - SAUCE: capabilities: Allow privileged user in s_user_ns to set security.* xattrs
    - SAUCE: fuse: Add support for pid namespaces
    - SAUCE: fuse: Support fuse filesystems outside of init_user_ns
    - SAUCE: fuse: Restrict allow_other to the superblock's namespace or a descendant
    - SAUCE: fuse: Allow user namespace mounts
    - SAUCE: mtd: Check permissions towards mtd block device inode when mounting
    - SAUCE: fs: Update i_[ug]id_(read|write) to translate relative to s_user_ns
    - SAUCE: quota: Convert ids relative to s_user_ns
    - SAUCE: evm: Translate user/group ids relative to s_user_ns when computing HMAC
    - SAUCE: fs: Allow CAP_SYS_ADMIN in s_user_ns to freeze and thaw filesystems
    - SAUCE: quota: Treat superblock owner as privilged
    - SAUCE: ima/evm: Allow root in s_user_ns to set xattrs
    - SAUCE: block_dev: Forbid unprivileged mounting when device is opened for writing
    - SAUCE: ext4: Add support for unprivileged mounts from user namespaces
    - SAUCE: ext4: Add module parameter to enable user namespace mounts
    - SAUCE: fuse: Add module parameter to enable user namespace mounts

  * Miscellaneous upstream changes
    - megaraid: Fix possible NULL pointer deference in mraid_mm_ioctl
    - libahci: Implement the capability to override th...

Read more...

Changed in linux (Ubuntu Xenial):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers